Subject: Re: regression in iwlwifi: page fault in iwl_dbg_tlv_alloc_region() (commit ba8f6f4ae254)

From: Kalle Valo <[email-masked]>
Date: Tue, 12 Jan 2021 17:46:21 +0200

Takashi Iwai <[email-masked]> writes:

> On Tue, 12 Jan 2021 13:45:33 +0100,
> Kalle Valo wrote:
>> 
>> Takashi Iwai <[email-masked]> writes:
>> 
>> > On Tue, 12 Jan 2021 12:33:14 +0100,
>> > Kalle Valo wrote:
>> >> 
>> >> (adding luca)
>> >> 
>> >> Michal Kubecek <[email-masked]> writes:
>> >> 
>> >> > FYI, there is a regression in iwlwifi driver caused by commit
>> >> > ba8f6f4ae254 ("iwlwifi: dbg: add dumping special device memory")
>> >> > reported at
>> >> >
>> >> >   https://bugzilla.kernel.org/show_bug.cgi?id=210733
>> >> >   https://bugzilla.suse.com/show_bug.cgi?id=1180344
>> >> >
>> >> > The problem seems to be an attempt to write terminating null character
>> >> > into a string which may be read only. There is also a proposed fix.
>> >> 
>> >> Can someone submit a proper patch, please? See instructions below how to
>> >> submit.
>> >> 
>> >> And please add Fixes tag to the commit log:
>> >> 
>> >> Fixes: ba8f6f4ae254 ("iwlwifi: dbg: add dumping special device memory")
>> >
>> > OK, I'll do it for my own
>> 
>> Thanks.
>> 
>> > but really I hoped that someone would have reacted on the bugzilla
>> > report before the official patch submission. So far no one from the
>> > upstream devs showed interest in the bug at all, unfortunately.
>> 
>> Bugzilla is problematic as I don't know if anyone tracks it actively, at
>> least I don't have time for that. I recommend reporting all wireless
>> issues to mailing lists to make sure everyone see it.
>
> I share your feeling as a subsystem maintainer, but at the same time,
> I see it's a big problem if the whole bugzilla reports are just
> silently ignored.  If it's a void, shouldn't we rather shut it down?

I'm all for shutting down bugzilla.kernel.org as silent bug reports are
frustrating the users. But I don't know what others would think about
that, maybe some subsystems use it actively?

At least there should be a big warning for wireless bugs.

> And, although a mailing list is fine to report via only some texts or
> some patches, it's not suitable to attach large logs or such, which is
> often essential for debugging.  Thanks to lore, the archivability is
> no longer a problem with ML recently, but the lack of data assignment
> is another problem, IMO.

Sure, I fully agree on the benefits of a bug tracker. The issue here is
the lack of people managing bug reports, not the tool.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches